Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Classes | Public Types | Public Member Functions | Protected Slots | Private Types | Private Member Functions | Private Attributes | List of all members
ProgViewerWidget Class Reference
Inheritance diagram for ProgViewerWidget:

## Classes
struct | PMInfo

## Public Types
typedef MeshViewerWidget | Base
typedef ProgViewerWidget | This
Public Types inherited from MeshViewerWidget
typedef MeshViewerWidgetT< Mesh > | Base
Public Types inherited from MeshViewerWidgetT< Mesh >
typedef Mesh | Mesh
typedef OpenMesh::StripifierT < Mesh > | MyStripifier
Public Types inherited from QGLViewerWidget
typedef QGLWidget | Super
Public Types inherited from MeshViewerWidgetT< MyMesh >
typedef MyMesh | Mesh
typedef OpenMesh::StripifierT < Mesh > | MyStripifier

## Public Member Functions
| ProgViewerWidget (QWidget *_parent=0)
| default constructor
| ~ProgViewerWidget ()
| destructor
void | open_prog_mesh (const char *_filename)
| open progressive mesh
Public Member Functions inherited from MeshViewerWidget
| MeshViewerWidget (QWidget *parent=0)
| default constructor
OpenMesh::IO::Options & | options ()
const OpenMesh::IO::Options & | options () const
void | setOptions (const OpenMesh::IO::Options &opts)
void | open_mesh_gui (QString fname)
void | open_texture_gui (QString fname)
| MeshViewerWidget (QWidget *_parent=0)
| default constructor
| ~MeshViewerWidget ()
| destructor
bool | open_mesh (const char *_filename, OpenMesh::IO::Options _opt)
| open mesh
Mesh & | orig_mesh ()
const Mesh & | orig_mesh () const
Public Member Functions inherited from MeshViewerWidgetT< Mesh >
| MeshViewerWidgetT (QWidget *_parent=0)
| default constructor
| ~MeshViewerWidgetT ()
| destructor
virtual bool | open_texture (const char *_filename)
| load texture
bool | set_texture (QImage &_texsrc)
void | enable_strips ()
void | disable_strips ()
Mesh & | mesh ()
const Mesh & | mesh () const
Public Member Functions inherited from QGLViewerWidget
| QGLViewerWidget (QWidget *_parent=0)
| QGLViewerWidget (QGLFormat &_fmt, QWidget *_parent=0)
void | set_scene_pos (const OpenMesh::Vec3f &_center, float _radius)
void | view_all ()
QAction * | add_draw_mode (const std::string &_s)
| add draw mode to popup menu, and return the QAction created
void | del_draw_mode (const std::string &_s)
| delete draw mode from popup menu
const std::string & | current_draw_mode () const
float | radius () const
const OpenMesh::Vec3f & | center () const
const GLdouble * | modelview_matrix () const
const GLdouble * | projection_matrix () const
float | fovy () const
QAction * | findAction (const char *name)
void | addAction (QAction *action, const char *name)
void | removeAction (const char *name)
void | removeAction (QAction *action)
Public Member Functions inherited from MeshViewerWidgetT< MyMesh >
| MeshViewerWidgetT (QWidget *_parent=0)
| default constructor
| ~MeshViewerWidgetT ()
| destructor
virtual bool | open_texture (const char *_filename)
| load texture
bool | set_texture (QImage &_texsrc)
void | enable_strips ()
void | disable_strips ()
Mesh & | mesh ()
const Mesh & | mesh () const

## Protected Slots
void | animate (void)

## Private Types
typedef std::vector< PMInfo > | PMInfoContainer
typedef PMInfoContainer::iterator | PMInfoIter

## Private Member Functions
void | refine (unsigned int _n)
| refine mesh up to _n vertices
void | coarsen (unsigned int _n)
| coarsen mesh down to _n vertices
virtual void | keyPressEvent (QKeyEvent *_event)

## Private Attributes
QTimer * | timer_
bool | animateRefinement_
PMInfoContainer | pminfos_
PMInfoIter | pmiter_
size_t | n_base_vertices_
size_t | n_base_faces_
size_t | n_detail_vertices_
size_t | n_max_vertices_

## Additional Inherited Members
Public Slots inherited from MeshViewerWidget
void | query_open_mesh_file ()
void | query_open_texture_file ()
Protected Member Functions inherited from MeshViewerWidgetT< Mesh >
virtual void | draw_scene (const std::string &_draw_mode)
| inherited drawing method
virtual void | draw_openmesh (const std::string &_drawmode)
| draw the mesh
void | glVertex (const typename Mesh::VertexHandle _vh)
void | glVertex (const typename Mesh::Point &_p)
void | glNormal (const typename Mesh::VertexHandle _vh)
void | glNormal (const typename Mesh::FaceHandle _fh)
void | glTexCoord (const typename Mesh::VertexHandle _vh)
void | glColor (const typename Mesh::VertexHandle _vh)
void | glColor (const typename Mesh::FaceHandle _fh)
void | glMaterial (const typename Mesh::FaceHandle _fh, int _f=GL_FRONT_AND_BACK, int _m=GL_DIFFUSE)
void | compute_strips (void)
Protected Member Functions inherited from QGLViewerWidget
double | performance (void)
void | setDefaultMaterial (void)
void | setDefaultLight (void)
virtual void | mousePressEvent (QMouseEvent *)
virtual void | mouseReleaseEvent (QMouseEvent *)
virtual void | mouseMoveEvent (QMouseEvent *)
virtual void | wheelEvent (QWheelEvent *)
Protected Member Functions inherited from MeshViewerWidgetT< MyMesh >
virtual void | draw_scene (const std::string &_draw_mode)
| inherited drawing method
virtual void | draw_openmesh (const std::string &_drawmode)
| draw the mesh
void | glVertex (const typename Mesh::VertexHandle _vh)
void | glVertex (const typename Mesh::Point &_p)
void | glNormal (const typename Mesh::VertexHandle _vh)
void | glNormal (const typename Mesh::FaceHandle _fh)
void | glTexCoord (const typename Mesh::VertexHandle _vh)
void | glColor (const typename Mesh::VertexHandle _vh)
void | glColor (const typename Mesh::FaceHandle _fh)
void | glMaterial (const typename Mesh::FaceHandle _fh, int _f=GL_FRONT_AND_BACK, int _m=GL_DIFFUSE)
void | compute_strips (void)
Protected Attributes inherited from MeshViewerWidget
Mesh | orig_mesh_
Protected Attributes inherited from MeshViewerWidgetT< Mesh >
bool | f_strips_
GLuint | tex_id_
GLint | tex_mode_
OpenMesh::IO::Options | opt_
Mesh | mesh_
MyStripifier | strips_
bool | use_color_
bool | show_vnormals_
bool | show_fnormals_
float | normal_scale_
OpenMesh::FPropHandleT < typename Mesh::Point > | fp_normal_base_
Protected Attributes inherited from MeshViewerWidgetT< MyMesh >
bool | f_strips_
GLuint | tex_id_
GLint | tex_mode_
OpenMesh::IO::Options | opt_
Mesh | mesh_
MyStripifier | strips_
bool | use_color_
bool | show_vnormals_
bool | show_fnormals_
float | normal_scale_
OpenMesh::FPropHandleT < typename Mesh::Point > | fp_normal_base_

## Detailed Description

Definition at line 90 of file ProgViewerWidget.hh.

The documentation for this class was generated from the following files:

- libs_required/OpenMesh/src/OpenMesh/Apps/ProgViewer/ProgViewerWidget.hh
- libs_required/OpenMesh/src/OpenMesh/Apps/ProgViewer/ProgViewerWidget.cc